## awn-config awn-config |

## Functions

DesktopAgnosticConfigClient * | awn_config_get_default ()
DesktopAgnosticConfigClient * | awn_config_get_default_for_applet ()
DesktopAgnosticConfigClient * | awn_config_get_default_for_applet_by_info ()
void | awn_config_free ()

## Description

## Functions

### awn_config_get_default ()

    DesktopAgnosticConfigClient *
    awn_config_get_default (gint panel_id,
                            GError **error);

### awn_config_get_default_for_applet ()

    DesktopAgnosticConfigClient *
    awn_config_get_default_for_applet (AwnApplet *applet,
                                       GError **error);

### awn_config_get_default_for_applet_by_info ()

    DesktopAgnosticConfigClient *
    awn_config_get_default_for_applet_by_info
                                   (const gchar *name,
                                    const gchar *uid,
                                    GError **error);

### awn_config_free ()

    void
    awn_config_free (void);

## Types and Values